local function ShowInfo(player)
	local weapon = player.components.inventory:GetEquippedItem(EQUIPSLOTS.HANDS) or nil
	local armor = player.components.inventory:GetEquippedItem(EQUIPSLOTS.BODY) or nil
	local damage = weapon and weapon.components.weapon and weapon.components.weapon.damage or nil
	local absorb = armor and armor.components.armor and armor.components.armor.absorb_percent or 0
	local _damage = player.components.combat.damagemultiplier * (damage or player.components.combat.defaultdamage)
	local _absorb = 1 - (1 - player.components.health.absorb) * (1 - absorb)
	info_1 = TUNING.DAMAGE..(_damage).." ！\n"
	info_2 = TUNING.ABSORB..(_absorb).." ！\n"
	player.components.talker:Say(info_1..info_2)
end
AddModRPCHandler(modname, "ShowInfo", ShowInfo)
TheInput:AddKeyDownHandler(114, function()
	if not ThePlayer or not ThePlayer:HasTag("abigale") or TheFrontEnd:GetActiveScreen() ~= ThePlayer.HUD then return end
	if TheNet:GetIsServer() then
		ShowInfo(ThePlayer)
	else
		SendModRPCToServer(MOD_RPC[modname]["ShowInfo"])
	end
end)
